Bug 879320 - [cli] system list shows 127.0.0.1 for registered virtual guests
[cli] system list shows 127.0.0.1 for registered virtual guests
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jordan OMara
SAM QE List
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-22 10:34 EST by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Proper IP address for registered virtual guest systems now displayed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:20:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IP address of the system (76.86 KB, image/png)
2012-12-03 05:43 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Garik Khachikyan 2012-11-22 10:34:55 EST
Description of problem:
In recent SAM 1.2 there is always shown 127.0.0.1 for the virtual guests registered. for the physical systems: it's fine.
Looking at UI one can however see correct value (the real ip) under eth0. So I assume that for the guests it chooses "somehow" the lo interface value~?

Version-Release number of selected component (if applicable):
katello-cli-1.2.4-2h.el6_3.noarch
katello-headpin-1.2.6-2h.el6_3.noarch


How reproducible:
always

Steps to Reproduce:
1.have registered some phyisical and virtual systems (reg. is enough).
2.invoke `system list --org <org>`
3.
  
Actual results:
see 127.0.0.1 for all registered guests.

Expected results:
the ip values

Additional info:
Comment 1 Jordan OMara 2012-11-28 10:22:24 EST
https://github.com/Katello/katello/pull/1131
Comment 3 Tazim Kolhar 2012-12-03 05:43:42 EST
Created attachment 656533 [details]
IP address of the system

VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-common-1.2.6-3h.el6_3.noarch
katello-headpin-all-1.2.6-3h.el6_3.noarch
katello-cli-common-1.2.4-3h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-3h.el6_3.noarch
katello-headpin-1.2.6-3h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-1.2.6-3h.el6_3.noarch


# headpin -u admin -p admin system list --org ACME_Corporation
------------------------------------------------------------------------------------------------------------------------------------------------------
                                                      Systems List For Org [ ACME_Corporation ]

Name                           Uuid                                 Environment Service Level 
------------------------------------------------------------------------------------------------------------------------------------------------------
ibm-hs22-02.lab.bos.redhat.com 76e85c24-d296-42d6-bfb7-879c0dab284f DEV
Comment 6 errata-xmlrpc 2013-02-21 14:20:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.